<?xml version="1.0" encoding="utf-8" ?>
<toolkit:Popup 	xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
				xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
				xmlns:toolkit="http://schemas.microsoft.com/dotnet/2022/maui/toolkit"
                xmlns:viewmodel="clr-namespace:KieselsteinErp.Terminal.Popups"
                xmlns:ksmodels="clr-namespace:Kieselstein.Models"
				x:Class="KieselsteinErp.Terminal.Popups.IdentityAmountEntryPopup"
                x:DataType="viewmodel:IdentityAmountEntryPopup"
				xmlns:controls="clr-namespace:KieselsteinErp.Terminal.Controls"
				xmlns:localization="clr-namespace:LocalizationResourceManager.Maui;assembly=LocalizationResourceManager.Maui"
				CanBeDismissedByTappingOutsideOfPopup="False"
                Color="Transparent"
				Size="800,500">

  <Border Style="{StaticResource PopupFrame}" VerticalOptions="Fill">
    <Grid RowDefinitions="Auto,*,Auto" ColumnDefinitions="*" >
      <Border Style="{StaticResource PopupTitle}" Grid.Row="0" Padding="5" >
        <Label Style="{StaticResource PopupTitleLabel}" Grid.Row="0" Text="{Binding Title}" VerticalOptions="Center" HorizontalOptions="Center"/>
      </Border>
      
      <Grid Grid.Row="1" RowDefinitions="Auto, *, Auto" ColumnDefinitions="*,Auto" Padding="5" RowSpacing="5" >
        <Grid RowDefinitions="Auto,Auto,Auto" ColumnDefinitions="*,Auto" Grid.Row="0" ColumnSpacing="10" Padding="5" RowSpacing="5" >
          <controls:TouchEntry Grid.Row="0" Grid.Column="0" x:Name="IdentityEntry" Text="{Binding IdentityText}" Placeholder="{localization:Translate EnterIdentity}" ClearButtonVisibility="WhileEditing" Keyboard="Text" />
          <Picker Grid.Row="1" Grid.Column="0" x:Name="IdentityPicker" SelectedItem="{Binding SelectedIdentityItem}" IsVisible="False" SelectedIndexChanged="IdentityPicker_SelectedIndexChanged" Title="{localization:Translate ChooseSnrBatchNumber}" />
          <controls:NumericEntry Grid.Row="2" Grid.Column="0" x:Name="AmountEntry" Placeholder="{localization:Translate EnterAmount}" HorizontalTextAlignment="Start" DecimalPlaces="3" MinValue="0" />
          <Button Grid.Row="0" Grid.Column="1" Grid.RowSpan="3" x:Name="AddButton" WidthRequest="45" Text="+" Clicked="OnAddButtonClicked" VerticalOptions="Center"/>
        </Grid>
        <ListView x:Name="SerialnrList" Grid.Row="1" HasUnevenRows="True" ItemsSource="{Binding IdentityAmountEntries}" CachingStrategy="RecycleElement" >
          <ListView.ItemTemplate>
            <DataTemplate x:DataType="{x:Type ksmodels:IdentityAmountEntry}">
              <ViewCell>
                <Grid RowDefinitions="*" ColumnDefinitions="0.5*,*,Auto" Padding="5">
                  <Label Grid.Column="0" Text="{Binding amount, StringFormat='{0:F3}'}" VerticalOptions="Center"/>
                  <Label Grid.Column="1" Text="{Binding identity}" VerticalOptions="Center"/>
                  <Button Grid.Column="2" Text="X" VerticalOptions="Center" WidthRequest="45" Clicked="OnRemoveButtonClicked" CommandParameter="{Binding .}" />
                </Grid>
              </ViewCell>
            </DataTemplate>
          </ListView.ItemTemplate>
        </ListView>
        <Grid Grid.Row="2" ColumnDefinitions="*,10,*" Padding="5">
          <Button Grid.Column="0" x:Name="OkButton" Clicked="OkButtonClicked" Text="{localization:Translate Ok}" />
          <Button Grid.Column="2" x:Name="CancelButton" Clicked="CancelButtonClicked" Text="{localization:Translate Cancel}" />
        </Grid>
      </Grid>
    </Grid>
  </Border>
</toolkit:Popup>